from src.abc import app
from aws_lambda_powertools.event_handler import content_types
from aws_lambda_powertools.event_handler.api_gateway import Response
from aws_lambda_powertools.event_handler.exceptions import NotFoundError
from typing import Dict, Any, Optional
import json


def main(event, context):
    
    return app.resolve(event, context)
    

@app.get("/proxy")
def path_A():
    event = app.current_event.raw_event
    job_name: str = event.get("JobName")
    if job_name is None:
        raise ValueError
    print(f"Hello from APIGW-proxy-example lambda {job_name}")
    return {
        "Message": "Hello"
    }



